com.dlsc.flexgantt.model.dateline

## Class GridLine

- java.lang.Object
- - com.dlsc.flexgantt.model.dateline.GridLine

-     public class GridLine
      extends Object

  A class that combines a grid coordinate with the corresponding time point at the location. Additionally grid lines can be marked as the location where the summer time begins (daylight savings time) or ends.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann
  See Also:
    `IDatelineModel.getGrid(int, int, boolean)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GridLine.DstChangeType` An enumerator used to represent the two types of DST change that can happen.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridLine(int location, long time)` Constructs a new grid line.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GridLine.DstChangeType` | `getDstChangeType()` Determines the type of DST change represented by the grid line.
    `int` | `getLocation()` Returns the location of the grid line (the x-coordinate).
    `long` | `getTime()` Returns the time represented the grid line location
    `void` | `setDstChangeType(GridLine.DstChangeType changeType)` Specifies whether the grid lines represents a time point where the daylight savings time changes.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GridLine

          public GridLine(int location,
                          long time)

      Constructs a new grid line.
      Parameters:
        `location` - the x-coordinate of the grid line
        `time` - the time given at the grid line location
      Since:
        1.0

  - ### Method Detail

    - #### getTime

          public long getTime()

      Returns the time represented the grid line location
      Returns:
        the time represented by the grid line location
      Since:
        1.0

    - #### getLocation

          public int getLocation()

      Returns the location of the grid line (the x-coordinate).
      Returns:
        the location of the grid line
      Since:
        1.0

    - #### getDstChangeType

          public GridLine.DstChangeType getDstChangeType()

      Determines the type of DST change represented by the grid line. A grid line can mark the point where the summer time changes to winter time, the winter time changes to summer time or no change occures at all.
      Returns:
        the type of DST change represented by the grid line
      Since:
        1.1

    - #### setDstChangeType

          public void setDstChangeType(GridLine.DstChangeType changeType)

      Specifies whether the grid lines represents a time point where the daylight savings time changes.
      Parameters:
        `changeType` - the type of change represented by the grid line (summer time to winter time, winter time to summer time, no change)
      Since:
        1.1

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.